> ## Documentation Index
> Fetch the complete documentation index at: https://docs.g-tateth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a message from widget

> Sends a message from the widget to your support team



## OpenAPI

````yaml /openapi.json post /api/widget/messages
openapi: 3.0.0
info:
  title: g-tateth CRM API
  version: 1.1.0
  description: >-
    RESTful API for g-tateth CRM platform. Manage conversations, customers,
    users, and more.
  contact:
    name: g-tateth Support
    email: support@g-tateth.com
  license:
    name: Proprietary
servers:
  - url: https://api.g-tateth.com
    description: Production server
  - url: https://staging-api.g-tateth.com
    description: Staging server
security: []
tags:
  - name: Health
    description: API health and status check (no authentication required)
  - name: Authentication
    description: API key and JWT authentication
  - name: API Keys
    description: Create and manage your tenant API keys (requires JWT session)
  - name: Conversations
    description: Manage customer conversations (supports API key or JWT)
  - name: Customers
    description: Manage customer profiles (supports API key or JWT)
  - name: Webhooks
    description: Subscribe to real-time events via webhooks (supports API key or JWT)
  - name: Analytics
    description: Usage analytics and performance metrics (supports API key or JWT)
  - name: Data Privacy
    description: >-
      GDPR data rights endpoints — export, deletion, access, rectification,
      restriction, and objection requests (requires JWT session)
  - name: Widget
    description: Chat widget API endpoints (public — no authentication required)
  - name: Telephony
    description: Voice and phone API endpoints
  - name: Zoho Integration
    description: Zoho CRM integration and data import endpoints
paths:
  /api/widget/messages:
    post:
      tags:
        - Widget
      summary: Send a message from widget
      description: Sends a message from the widget to your support team
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - conversationId
                - text
              properties:
                conversationId:
                  type: string
                text:
                  type: string
                attachments:
                  type: array
                  items:
                    type: object
      responses:
        '200':
          description: Message sent successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      messageId:
                        type: string
                      status:
                        type: string
                        enum:
                          - sent
                          - delivered
                          - read

````